View Issue Details

IDProjectCategoryView StatusLast Update
0001447MantisDroid[All Projects] Taskpublic2019-10-26 09:21
Reportere7andy Assigned Toe7andy  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version2.8Fixed in Version2.8 
Summary0001447: Request runtime permissions
DescriptionFrom Android 6.0 permissions must be asked in runtime.
https://developer.android.com/training/permissions/requesting

These are the permissions used by the app:
<uses-permission android:name="android.permission.INTERNET" />
<uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
<uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
<uses-permission android:name="com.android.vending.CHECK_LICENSE" />

Only WRITE_EXTERNAL_STORAGE got protection level dangerous.
https://developer.android.com/reference/android/Manifest.permission#WRITE_EXTERNAL_STORAGE

Request permission:
https://developer.android.com/training/permissions/requesting#make-the-request
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2019-01-16 12:33 e7andy New Issue
2019-01-16 12:33 e7andy Status new => assigned
2019-01-16 12:33 e7andy Assigned To => e7andy
2019-07-18 21:22 e7andy Status assigned => resolved
2019-07-18 21:22 e7andy Resolution open => fixed
2019-10-24 08:49 e7andy Fixed in Version => 2.8
2019-10-24 08:49 e7andy Target Version next release => 2.8
2019-10-26 09:21 e7andy Status resolved => closed